package com.lightinit.hsdataplatformresdir.model.admin;

import com.lightinit.hsdataplatformresdir.annotation.FieldDescriber;
import org.hibernate.validator.constraints.NotEmpty;

/**
 * @author WangYao
 * @date 2018/6/22 10:04
 * @description 数据资源审核模型
 */
public class ResourceDataRegisterAuditModel {

    private Long id;

    private Long auditedBy;

    @NotEmpty
    @FieldDescriber(descripton = "审核结果")
    private String auditResult;

    private String auditOpinion;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getAuditedBy() {
        return auditedBy;
    }

    public void setAuditedBy(Long auditedBy) {
        this.auditedBy = auditedBy;
    }

    public String getAuditResult() {
        return auditResult;
    }

    public void setAuditResult(String auditResult) {
        this.auditResult = auditResult;
    }

    public String getAuditOpinion() {
        return auditOpinion;
    }

    public void setAuditOpinion(String auditOpinion) {
        this.auditOpinion = auditOpinion;
    }
}
